Get Master Details
The Master Lookup API is used to fetch master/reference data required during the Insurance quote journey. This API returns lookup values based on the provided lookup category and entity IDs.
Request Body required
Possible values: <= 15 characters, [quote, proposal]
Defines the lookup context. For quote journey, value should be quote or proposal.
Possible values: [ICICI, TATA, ABSLI, IL, HDFC]
Manufacturer ID of which need to find the enum value for proposal.
List of master entities for which lookup data is required
- 200
- 400
- 500
Consumer Response
Schema
errors object
This array will capture error code and error message
Possible values: <= 50 characters
In case error occurs, the error code will be stored here
Possible values: <= 100 characters
In case error occurs, the error message will be stored here
data object
Education master API that returns all valid education codes supported by the system as a flat array of strings.
Returns the list of supported sales and distribution channels through which policies are sourced.
Returns the list of supported gender categories.
Returns the list of supported marital status values.
Returns the list of supported member types in a policy.
Returns the list of supported occupation categories.
Returns the list of supported policy proposal frequencies.
Returns the list of supported policy payment options.
Returns the list of supported quote categories.
Returns the list of supported quote types.
Returns the list of supported relationships with the life assured.
Returns the list of supported Indian state and union territory codes.
Returns the list of supported customer titles.
Returns the list of supported tobacco consumption indicators.
{
"reqId": "461ddd23-ed72-4041-886c-39c20d4bda31",
"errors": {
"errorCode": "string",
"error": "string"
},
"data": {
"EDUCATN": [
"10TH,",
"12TH,",
"BELOW 10TH,",
"DIPLOMA,",
"GRADUATE,",
"POST GRADUATE"
],
"CHANNEL": [
"B2B",
"B2C",
"ONLINE",
"OTHERS"
],
"GENDER": [
"MALE",
"FEMALE",
"TRANSGENDER",
"OTHERS"
],
"MARITAL": [
"SINGLE",
"MARRIED",
"DIVORCED",
"WIDOWED"
],
"MEMTYPE": [
"SELF",
"SPOUSE",
"CHILD",
"PARENT"
],
"OCC": [
"SALARIED",
"SELF EMPLOYED",
"BUSINESS",
"STUDENT",
"RETIRED"
],
"PPF": [
"MONTHLY",
"QUARTERLY",
"HALF YEARLY",
"YEARLY"
],
"PPO": [
"SINGLE",
"LIMITED PAY",
"REGULAR PAY"
],
"QUOTECAT": [
"NEW BUSINESS",
"RENEWAL",
"TOP UP"
],
"QUOTETYP": [
"INDIVIDUAL",
"FAMILY FLOATER",
"GROUP"
],
"RELWTHLA": [
"SELF",
"SPOUSE",
"SON",
"DAUGHTER",
"FATHER",
"MOTHER"
],
"STATE": [
"MAHARASHTRA",
"GUJARAT",
"KARNATAKA",
"DELHI"
],
"TITLE": [
"MR",
"MS",
"MRS",
"DR"
],
"TOBACCO": [
"YES",
"NO"
]
}
}
Consumer Response
Schema
- Array [
- ]
Section to carry quote responses
errors object[] required
This array contains error messages in case of an error
Possible values: <= 50 characters
In case error occurs, the error code will be stored here
Possible values: <= 100 characters
In case error occurs, the error display message will be stored here
Possible values: <= 20 characters
In case error occurs, the error identifier will be stored here
Possible values: <= 100 characters
In case error occurs, the error message will be stored here
Possible values: <= 10 characters
In case error occurs, the error type will be stored here
Request Id for the quote assigned by 1SB
{
"data": {},
"errors": [
{
"errorCode": "string",
"errorDisplayMessage": "string",
"errorIdentifier": "string",
"errorMessage": "string",
"errorType": "string"
}
],
"reqId": "string"
}
Consumer Response
Schema
- Array [
- ]
Section to carry quote responses
errors object[] required
This array contains error messages in case of an error
Possible values: <= 50 characters
In case error occurs, the error code will be stored here
Possible values: <= 100 characters
In case error occurs, the error display message will be stored here
Possible values: <= 20 characters
In case error occurs, the error identifier will be stored here
Possible values: <= 100 characters
In case error occurs, the error message will be stored here
Possible values: <= 10 characters
In case error occurs, the error type will be stored here
Request Id for the quote assigned by 1SB
{
"data": {},
"errors": [
{
"errorCode": "string",
"errorDisplayMessage": "string",
"errorIdentifier": "string",
"errorMessage": "string",
"errorType": "string"
}
],
"reqId": "string"
}